using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability425.Domain;

public class TaobaoTbkScPublisherInfoGetRegisterInfoDto
{

    /*
        渠道独有 -店铺名称
    */
    private string? shopName;


    /*
        渠道独有 -店铺类型
    */
    private string? shopType;


    /*
        渠道独有 - 信息
    */
    private string? phoneNumber;


    /*
        渠道独有 -信息
    */
    private string? detailAddress;


    /*
        渠道独有 -区
    */
    private string? location;


    /*
        渠道独有 -类型
    */
    private string? shopCertifyType;


    /*
        渠道独有 - 编号
    */
    private string? certifyNumber;


    /*
        渠道独有 -经营类型
    */
    private string? career;



    [JsonPropertyName("shop_name")]
    public string? ShopName
    {
        get => shopName;
        set => this.shopName = value;
    }

    [JsonPropertyName("shop_type")]
    public string? ShopType
    {
        get => shopType;
        set => this.shopType = value;
    }

    [JsonPropertyName("phone_number")]
    public string? PhoneNumber
    {
        get => phoneNumber;
        set => this.phoneNumber = value;
    }

    [JsonPropertyName("detail_address")]
    public string? DetailAddress
    {
        get => detailAddress;
        set => this.detailAddress = value;
    }

    [JsonPropertyName("location")]
    public string? Location
    {
        get => location;
        set => this.location = value;
    }

    [JsonPropertyName("shop_certify_type")]
    public string? ShopCertifyType
    {
        get => shopCertifyType;
        set => this.shopCertifyType = value;
    }

    [JsonPropertyName("certify_number")]
    public string? CertifyNumber
    {
        get => certifyNumber;
        set => this.certifyNumber = value;
    }

    [JsonPropertyName("career")]
    public string? Career
    {
        get => career;
        set => this.career = value;
    }

}

